Simulate Event
import requests
url = "https://api.parallel.ai/v1alpha/monitors/{monitor_id}/simulate_event"
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'}
};
fetch('https://api.parallel.ai/v1alpha/monitors/{monitor_id}/simulate_event', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://api.parallel.ai/v1alpha/monitors/{monitor_id}/simulate_event")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("\"\"")
.asString();curl --request POST \
--url https://api.parallel.ai/v1alpha/monitors/{monitor_id}/simulate_event \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '""'{
"type": "error",
"error": {
"ref_id": "fcb2b4f3-c75e-4186-87bc-caa1a8381331",
"message": "Webhook not configured"
}
}{
"type": "error",
"error": {
"ref_id": "fcb2b4f3-c75e-4186-87bc-caa1a8381331",
"message": "Schedule not found"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Monitor (Alpha)
Simulate Event
Simulate sending an event for a monitor.
Simulates sending an event for the specified event_type.
Defaults to monitor.event.detected if not specified.
POST
/
v1alpha
/
monitors
/
{monitor_id}
/
simulate_event
Simulate Event
import requests
url = "https://api.parallel.ai/v1alpha/monitors/{monitor_id}/simulate_event"
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'}
};
fetch('https://api.parallel.ai/v1alpha/monitors/{monitor_id}/simulate_event', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://api.parallel.ai/v1alpha/monitors/{monitor_id}/simulate_event")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("\"\"")
.asString();curl --request POST \
--url https://api.parallel.ai/v1alpha/monitors/{monitor_id}/simulate_event \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '""'{
"type": "error",
"error": {
"ref_id": "fcb2b4f3-c75e-4186-87bc-caa1a8381331",
"message": "Webhook not configured"
}
}{
"type": "error",
"error": {
"ref_id": "fcb2b4f3-c75e-4186-87bc-caa1a8381331",
"message": "Schedule not found"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Path Parameters
Query Parameters
Event type to simulate.
Available options:
monitor.event.detected, monitor.execution.completed, monitor.execution.failed Examples:
"monitor.event.detected"
"monitor.execution.completed"
"monitor.execution.failed"
Body
application/json
The body is of type file.
Response
Successful Response